Summary: The PGPLOT Graphics Subroutine Library.
Name: pgplot
Version: 5.1.1
Release: 4
Copyright: Cal. Tech.
Group: Libraries
Source: ftp://astro.caltech.edu/pub/pgplot/pgplot5.1.tar.gz
URL: http://astro.caltech.edu/~tjp/pgplot/
Packager: Jeff Uphoff <juphoff@nrao.edu>
BuildRoot: /usr/src/redhat/BUILD/pgplot-root
Patch0: pgplot-f2c_elf.patch
Patch1: pgplot-f77__.patch
Patch2: pgplot-driverlist.patch
%description
A FORTRAN-callable, device-independent graphics package for making
simple scientific graphs.  

%package devel
Summary: PGPLOT Graphics Subroutine Library application development files.
Requires: pgplot
Group: Development/Libraries
%description devel
For developing applications that use PGPLOT, a FORTRAN-callable,
device-independent graphics package for making simple scientific graphs.

%package demos
Summary: PGPLOT Graphics Subroutine Library demo. app.'s.
Group: Development/Libraries
%description demos
Demonstration applications for PGPLOT, a FORTRAN-callable,
device-independent graphics package for making simple scientific graphs.

%package motif
Summary: Motif interface for PGPLOT Graphics Subroutine Library.
Group: Development/Libraries
Requires: rh-motif >= 2.0
%description motif
For developing applications that use Motif widgets with PGPLOT, a
FORTRAN-callable, device-independent graphics package for making simple
scientific graphs.  Includes a demonstration application.

%prep
%setup -n pgplot
%patch0
%patch1
%patch2

%build
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/tmp
cd $RPM_BUILD_ROOT/tmp
cp $RPM_BUILD_DIR/pgplot/drivers.list .
$RPM_BUILD_DIR/pgplot/makemake $RPM_BUILD_DIR/pgplot linux f2c_elf
make
make cpgdemo
make clean
strip *demo* pgdisp pgxwin_server

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgplot
mkdir -p $RPM_BUILD_ROOT/usr/include
cp $RPM_BUILD_ROOT/tmp/* $RPM_BUILD_ROOT/usr/lib/pgplot
cp $RPM_BUILD_ROOT/tmp/pgplot.doc $RPM_BUILD_DIR/pgplot
cd $RPM_BUILD_ROOT/usr/lib
mv pgplot/libXmPgplot.a .
mv pgplot/libcpgplot.a .
mv pgplot/libpgplot.a .
mv pgplot/libpgplot.so.5.1.1 .
ln -s libpgplot.so.5.1.1 libpgplot.so.5
ln -s libpgplot.so.5.1.1 libpgplot.so
ln -s pgplot/f77__.o
cd $RPM_BUILD_ROOT/usr/include
mv ../lib/pgplot/cpgplot.h .
mv ../lib/pgplot/XmPgplot.h .

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc aaaread.me copyright.notice ver*.txt install.txt pgplot.doc
%dir /usr/lib/pgplot
/usr/lib/pgplot/grfont.dat
/usr/lib/pgplot/pgdisp
/usr/lib/pgplot/pgxwin_server
/usr/lib/pgplot/rgb.txt
/usr/lib/libpgplot.so.5.1.1
/usr/lib/libpgplot.so.5

%files devel
/usr/lib/pgplot/f77__.o
/usr/lib/pgplot/grpckg1.inc
/usr/lib/pgplot/pgplot.inc
/usr/lib/libcpgplot.a
/usr/lib/libpgplot.a
/usr/lib/libpgplot.so
/usr/lib/f77__.o
/usr/include/cpgplot.h

%files demos
/usr/lib/pgplot/cpgdemo
/usr/lib/pgplot/pgdemo1
/usr/lib/pgplot/pgdemo10
/usr/lib/pgplot/pgdemo11
/usr/lib/pgplot/pgdemo12
/usr/lib/pgplot/pgdemo13
/usr/lib/pgplot/pgdemo14
/usr/lib/pgplot/pgdemo2
/usr/lib/pgplot/pgdemo3
/usr/lib/pgplot/pgdemo4
/usr/lib/pgplot/pgdemo5
/usr/lib/pgplot/pgdemo6
/usr/lib/pgplot/pgdemo7
/usr/lib/pgplot/pgdemo8
/usr/lib/pgplot/pgdemo9

%files motif
/usr/lib/pgplot/pgmdemo
/usr/lib/libXmPgplot.a
/usr/include/XmPgplot.h
